package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF3F3Data {

    private Map<String, Object> params;
    
    public MWF3F3Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsZadostKey() {
        return (Long) params.get("RS_ZADOST_KEY");
    }

    public Long rsPriorita() {
        return (Long) params.get("RS_PRIORITA");
    }

    public String rsStavzadosti() {
        return (String) params.get("RS_STAVZADOSTI");
    }

    public String rsTypzadosti() {
        return (String) params.get("RS_TYPZADOSTI");
    }

    public String rsPodtypzadosti() {
        return (String) params.get("RS_PODTYPZADOSTI");
    }

    public Long rsAktivniFlag() {
        return (Long) params.get("RS_AKTIVNI_FLAG");
    }

    public String rsFormalFlag() {
        return (String) params.get("RS_FORMAL_FLAG");
    }

    public String rsSchvalchybaid() {
        return (String) params.get("RS_SCHVALCHYBAID");
    }

    public String rsProdukttrida() {
        return (String) params.get("RS_PRODUKTTRIDA");
    }

    public String rsRozhodnuti() {
        return (String) params.get("RS_ROZHODNUTI");
    }

    public String rsKodproduktu() {
        return (String) params.get("RS_KODPRODUKTU");
    }

    public Double rsVysenabidkyZavazna() {
        return (Double) params.get("RS_VYSENABIDKY_ZAVAZNA");
    }

    public Double rsPozadovanacastka() {
        return (Double) params.get("RS_POZADOVANACASTKA");
    }

    public String rsKodproduktuSales() {
        return (String) params.get("RS_KODPRODUKTU_SALES");
    }

    public String rsTypinfolimitu() {
        return (String) params.get("RS_TYPINFOLIMITU");
    }

    public Double rsNesplacenajistina() {
        return (Double) params.get("RS_NESPLACENAJISTINA");
    }

    public String rsCislouctu() {
        return (String) params.get("RS_CISLOUCTU");
    }

    public Double rsVysenabidkyNezavazna() {
        return (Double) params.get("RS_VYSENABIDKY_NEZAVAZNA");
    }

    public Long rsPocetsplatek() {
        return (Long) params.get("RS_POCETSPLATEK");
    }

    public Long rsCaVariantaKey() {
        return (Long) params.get("RS_CA_VARIANTA_KEY");
    }

    public String rsFeStavIb() {
        return (String) params.get("RS_FE_STAV_IB");
    }

    public String rsAppId() {
        return (String) params.get("RS_APP_ID");
    }

    public String rsFeStavUfo() {
        return (String) params.get("RS_FE_STAV_UFO");
    }

    public String rsCislouuctu() {
        return (String) params.get("RS_CISLOUUCTU");
    }

    public Long rsId() {
        return (Long) params.get("RS_ID");
    }

    public Double rsSchvFlexilimit() {
        return (Double) params.get("RS_SCHV_FLEXILIMIT");
    }

    public String rsSchvKodproduktu() {
        return (String) params.get("RS_SCHV_KODPRODUKTU");
    }

    public String rsSchvKodproduktusales() {
        return (String) params.get("RS_SCHV_KODPRODUKTUSALES");
    }

    public Long rsSchvPocetsplatek() {
        return (Long) params.get("RS_SCHV_POCETSPLATEK");
    }

    public String rsSchvProdukttrida() {
        return (String) params.get("RS_SCHV_PRODUKTTRIDA");
    }

    public String rsSchvTyppojisteni() {
        return (String) params.get("RS_SCHV_TYPPOJISTENI");
    }

    public Double rsSchvUrokovasazba() {
        return (Double) params.get("RS_SCHV_UROKOVASAZBA");
    }

    public Double rsSchvVysesplatky() {
        return (Double) params.get("RS_SCHV_VYSESPLATKY");
    }

    public Double rsSchvVyseuveru() {
        return (Double) params.get("RS_SCHV_VYSEUVERU");
    }

    public String rsFePodtypzadosti() {
        return (String) params.get("RS_FE_PODTYPZADOSTI");
    }

    public String rsPritomnyvsechnyosoby() {
        return (String) params.get("RS_PRITOMNYVSECHNYOSOBY");
    }

    public String rsBezpritomnostiklienta() {
        return (String) params.get("RS_BEZPRITOMNOSTIKLIENTA");
    }

    public String rsPriznakalternativninabidky() {
        return (String) params.get("RS_PRIZNAKALTERNATIVNINABIDKY");
    }

    public Double rsSmartlimit() {
        return (Double) params.get("RS_SMARTLIMIT");
    } 

}
